Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ops
Class SQLServerBlobHelper

    java.lang.Object
      com.sun.mdm.index.ops.BlobHelper
          com.sun.mdm.index.ops.SQLServerBlobHelper

public class SQLServerBlobHelper
extends BlobHelper

Constructor Summary
`SQLServerBlobHelper()` Creates a new instance of SQLBlobHelper

Method Summary
`(package private) java.lang.Object` | `getValue(java.sql.ResultSet rs, java.lang.String column)` Gets the blob value.
`(package private) void` | `setParamBlob(BlobHelperParameters bhp, java.lang.Object value)` Set the blob parameter.
`(package private) void` | `setParamBlob(java.sql.ResultSet rs, java.lang.String column, java.lang.Object value)` Set the blob parameter.

Methods inherited from class com.sun.mdm.index.ops.BlobHelper
`getBlobHelper`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLServerBlobHelper

    public SQLServerBlobHelper()

  Creates a new instance of SQLBlobHelper

Method Detail

### getValue

    java.lang.Object getValue(java.sql.ResultSet rs,
                              java.lang.String column)
                        throws OPSException

  Gets the blob value.

  Specified by:
    `getValue` in class `BlobHelper`
  Parameters:
    `rs` - Result set that includes the blob value.
    `column` - Name of the blob column.
  Returns:
    value of the blob.
  Throws:
    `OPSException` - if an error occurs.

### setParamBlob

    void setParamBlob(BlobHelperParameters bhp,
                      java.lang.Object value)
                throws OPSException

  Set the blob parameter.

  Specified by:
    `setParamBlob` in class `BlobHelper`
  Parameters:
    `bhp` - Parameters for the blob helper.
    `value` - Value of blob
  Throws:
    `OPSException` - if error is encountered.

### setParamBlob

    void setParamBlob(java.sql.ResultSet rs,
                      java.lang.String column,
                      java.lang.Object value)
                throws OPSException

  Set the blob parameter. This method is not supported by SQL Server.

  Specified by:
    `setParamBlob` in class `BlobHelper`
  Parameters:
    `rs` - ResultSet
    `column` - column name
    `value` - value of the blob
  Throws:
    `OPSException` - if error is encountered

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.